The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

GHOST glibc patch for CentOS 4

Discussion in 'Security' started by nightaddix, Jan 30, 2015.

  1. nightaddix

    nightaddix Active Member
    PartnerNOC

    Joined:
    Jul 7, 2008
    Messages:
    30
    Likes Received:
    0
    Trophy Points:
    6
    Hello,


    While I know this isn't cPanel related and that support for CentOS 4 has been dropped since February 2012, I was actually quite curious if anyone knows / has tested a patch for CentOS 4. I do know that the best solution is to update to a supported OS which receives updates and this will happen in the future but I'm hoping someone has found a fix for this old version of OS. Thanks in advance guys.
     
  2. kernow

    kernow Well-Known Member

    Joined:
    Jul 23, 2004
    Messages:
    865
    Likes Received:
    9
    Trophy Points:
    18
    cPanel Access Level:
    Root Administrator
  3. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    653
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello :)

    Could you let us know what's preventing you from updating to a supported OS? Is there anything in particular that we could help you address so you can update?

    Thank you.
     
  4. nightaddix

    nightaddix Active Member
    PartnerNOC

    Joined:
    Jul 7, 2008
    Messages:
    30
    Likes Received:
    0
    Trophy Points:
    6
    Hi Michael and thanks for your reply. No, the issues aren't software related but are caused by other factors that prevent us from migrating them. This would be ideal but we can't do this just now. I was hoping to find a RPM fixing this for CentOS 4. Does anyone know of any workaround? Thanks.
     
  5. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    653
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    There's the RedHat patch referenced by the other poster on this thread, however it's issues like this that should really make upgrading to a supported OS a top priority. I'm not aware of any other workarounds, but you could ask on the CentOS forums.

    Thank you.
     
  6. nightaddix

    nightaddix Active Member
    PartnerNOC

    Joined:
    Jul 7, 2008
    Messages:
    30
    Likes Received:
    0
    Trophy Points:
    6
    Hi,

    Thought I'd follow up on this in case there are other people that need this. This did the trick for me :

    /http://www.playncoding.com/how-to-patch-glibc-ghost-vulnerability-cve-2015-0235-on-centos-4-rhel-4-oracle-enterprise-linux-4/
    Thanks.
     
Loading...
Similar Threads - GHOST glibc patch
  1. RH1
    Replies:
    14
    Views:
    5,040
  2. aravindan
    Replies:
    2
    Views:
    398

Share This Page